javax.swing.text

## Class DefaultStyledDocument.AttributeUndoableEdit

- java.lang.Object
- - javax.swing.undo.AbstractUndoableEdit
  - - javax.swing.text.DefaultStyledDocument.AttributeUndoableEdit

- All Implemented Interfaces:
    Serializable, UndoableEdit
  Enclosing class:
    DefaultStyledDocument

      public static class DefaultStyledDocument.AttributeUndoableEdit
      extends AbstractUndoableEdit

  An UndoableEdit used to remember AttributeSet changes to an Element.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected AttributeSet` | `copy` |
    `protected Element` | `element` |
    `protected boolean` | `isReplacing` |
    `protected AttributeSet` | `newAttributes` |

    - ### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

      `RedoName, UndoName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeUndoableEdit(Element element, AttributeSet newAttributes, boolean isReplacing)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `redo()` | Redoes a change.
    `void` | `undo()` | Undoes a change.

    - ### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

      `addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### newAttributes

          protected AttributeSet newAttributes

    - #### copy

          protected AttributeSet copy

    - #### isReplacing

          protected boolean isReplacing

    - #### element

          protected Element element

  - ### Constructor Detail

    - #### AttributeUndoableEdit

          public AttributeUndoableEdit(Element element,
                                       AttributeSet newAttributes,
                                       boolean isReplacing)

  - ### Method Detail

    - #### redo

          public void redo()
                    throws CannotRedoException

      Redoes a change.
      Specified by:
        `redo` in interface `UndoableEdit`
      Overrides:
        `redo` in class `AbstractUndoableEdit`
      Throws:
        `CannotRedoException` - if the change cannot be redone
      See Also:
        `AbstractUndoableEdit.canRedo()`

    - #### undo

          public void undo()
                    throws CannotUndoException

      Undoes a change.
      Specified by:
        `undo` in interface `UndoableEdit`
      Overrides:
        `undo` in class `AbstractUndoableEdit`
      Throws:
        `CannotUndoException` - if the change cannot be undone
      See Also:
        `AbstractUndoableEdit.canUndo()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.